Subject: bug#12041: Issues running the testsuite as root

From: Dennis Clarke <[email-masked]>
Date: Tue, 24 Jul 2012 12:11:34 -0400

----- Original Message -----
From: Stefano Lattarini <[email-masked]>
Date: Tuesday, July 24, 2012 12:06 pm
Subject: Re: Issues running the testsuite as root
To: Dennis Clarke <[email-masked]>
Cc: [email-masked]

> On 07/24/2012 05:14 PM, Dennis Clarke wrote:
> > 
> >> On 07/24/2012 03:59 PM, Dennis Clarke wrote:
> >>>
> >>> However, for just right now, how would I run just that one test? 
> >>>
> >> In this case:
> >>
> >>     make check TESTS=t/primary-prefix-couples-force-valid
> > 
> > Is this really just one test ? 
> >
> Oh no, my bad!  You are not using GNU make, so you have to use a more
> complex idiom:
> 
>     make check TESTS=t/primary-prefix-couples-force-valid AM_MAKEFLAGS='TESTS="$(TESTS)"'

see ... lots of magic required depending on the environment. 

I can tell you from experience that dealing with GNU open source software on the Solaris OS is always a fight simply because most of the devs and the configure scripts ( etc etc ) all *assume* you use GNU tools like binutils, make, ar, as, ld, etc etc on and on. When of course you don't, well, confusion and errors pop up all over the place. 

The only real recourse seems to be to run a configure script that issues a ( $SOMEPATH/make --version ) and then tests for output that identifies what make we have. Same with every other little piece. 

Is the effort worth it?

Not really. 

Most people I talk too are fleeing, with hair on fire, away from Oracle Solaris and all its complex expenses and horrible support.  

So .. I'll get off my soapbox now and just go run the tests. Really I do need to have a small collection of GNU tools and they really do need to pass their testsuites.  ( groan ) 

Dennis